/*
 * AUTONT.H v3.0
 *
 * Copyright(c) by ACKSYS, 1999-2000 -- JPT
 */

/*--------------------------------------*/
/*	accessing the mailbox				*/
/*--------------------------------------*/
#ifdef __cplusplus 
extern "C" {
#endif 
HANDLE OpenAutomcx(char *devName);
VOID CloseAutomcx(HANDLE hDriver);
PVOID GetAutomcxPtr(HANDLE hDriver);

/*--------------------------------------*/
/*	accessing the I/O ports				*/
/*--------------------------------------*/
/* HANDLE OpenMcxio();			// obsolete	*/
/* void CloseMcxio(HANDLE fh);	// obsolete	*/
BOOL McxOutPort(HANDLE hndFile,int iNp,char cData);
int McxInPort(HANDLE hndFile,int iNp);
UCHAR McxReadFifo(HANDLE fh);


/*--------------------------------------*/
/*	Change current mode					*/
/*--------------------------------------*/
int McxChangeMode(void * HardwareMemBase,int FirmwareRequested);
#ifdef WINSETUPAPI
int McxExistanceCheck(DWORD BusNumber,DWORD SlotNumber,HDEVINFO * DeviceInfoSet,SP_DEVINFO_DATA * DeviceInfoData );
int RestartDriver(HDEVINFO DeviceInformationSet,SP_DEVINFO_DATA * DeviceInfoData );
#endif

#ifdef __cplusplus
};
#endif
